com.verisign.epp.codec.contact

## Class EPPContactCheckResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.contact.EPPContactCheckResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPContactCheckResp
      extends EPPResponse

  Represents an EPP Contact <contact:chkData> response to a `EPPContactCheckCmd`. When a <check> command has been processed successfully, the EPP <resData> element MUST contain a child <contact:chkData> element that identifies the contact namespace and the location of the contact schema. The <contact:chkData> element contains one or more <contact:cd> elements that contain the following child elements:
  - A <contact:id> element that identifies the queried object. This element MUST contain an "avail" attribute whose value indicates object availablity at the moment the <check> command was completed. A value of "1" or "true" means that the object is available. A value of "0" or "false" means that the object is not available.
  - An OPTIONAL <contact:reason> element that MAY be provided when an object is not available for provisioning. If present, this element contains server-specific text to help explain why the object is unavailable. This text MUST be represented in the response language previously negotiated with the client; an OPTIONAL "lang" attribute MAY be present to identify the language if the negotiated value is something other that a default value of "en" (English).
  Version:
    $Revision: 1.2 $
  Author:
    $Author: jim $
  See Also:
    `EPPContactCheckCmd`, `EPPContactCheckResult`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPContactCheckResp()` `EPPContactCheckResp` default constructor.
    `EPPContactCheckResp(EPPTransId aTransId, EPPContactCheckResult aResult)` `EPPContactCheckResp` constructor that will set the result of an individual contact.
    `EPPContactCheckResp(EPPTransId aTransId, java.util.Vector someResults)` `EPPContactCheckResp` constructor that will set the result of multiple contacts.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPContactCheckResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPContactCheckResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactCheckResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPContactCheckResp` with this instance.
    `java.util.Vector` | `getCheckResults()` Get the results of a `EPPContactCheckResp` Response.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPContactCheckResp`.
    `java.lang.String` | `getType()` Get the EPP response type associated with `EPPContactCheckResp`.
    `void` | `setCheckResults(java.util.Vector someResults)` Set the results of a `EPPContactCheckResp` Response.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPContactCheckResp

          public EPPContactCheckResp()

      `EPPContactCheckResp` default constructor. It will set results attribute to an empty `Vector`.

    - #### EPPContactCheckResp

          public EPPContactCheckResp(EPPTransId aTransId,
                                     EPPContactCheckResult aResult)

      `EPPContactCheckResp` constructor that will set the result of an individual contact.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aResult` - Result of a single contact name.

    - #### EPPContactCheckResp

          public EPPContactCheckResp(EPPTransId aTransId,
                                     java.util.Vector someResults)

      `EPPContactCheckResp` constructor that will set the result of multiple contacts.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `someResults` - Vector of EPPResult instances.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Get the EPP response type associated with `EPPContactCheckResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPContactPingResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPContactCheckResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPContactMapFactory.NS`

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPContactCheckResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPContactCheckResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPContactCheckResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPContactCheckResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPContactCheckResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPContactCheckResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPContactCheckResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPContactCheckResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### setCheckResults

          public void setCheckResults(java.util.Vector someResults)

      Set the results of a `EPPContactCheckResp` Response. There is one `EPPContactResult` instance in `someResults` for each contact requested in the `EPPContactCheckCmd` Command.
      Parameters:
        `someResults` - Vector of `EPPContactResult` instances.

    - #### getCheckResults

          public java.util.Vector getCheckResults()

      Get the results of a `EPPContactCheckResp` Response. There is one `EPPContactResult` instance in `someResults` for each contact requested in the `EPPContactResult` Command.
      Returns:
        Vector of `EPPContactResult` instances.

Copyright © VeriSign Inc. All Rights Reserved.